task indexBam {
	File sorted_bam
	String sample
	String SAMdocker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e	
		/opt/conda/bin/samtools index ${sorted_bam} ${sample}.bam.bai
	>>>

	runtime {
		docker:SAMdocker
    	cluster: cluster_config
    	systemDisk: "cloud_ssd 40"
    	dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	output {
		File sorted_bam_index = "${sample}.bam.bai"
	}
}
